<template>
    <div :class="openShowModal ? 'openCatalog menu' : 'defaultCatalog menu'">
        <div class="modal-title">
            <h5>{{ $t('Add') }}</h5>
            <button uk-icon="close" @click="$emit('openModal')" />
        </div>

        <form @submit.prevent="onSubmit">
            <div class="modal-body">
                <div class="uk-margin">
                    <label for="form-stacked-text">{{ $t('Login') }}</label>
                    <div class="uk-form-controls">
                        <input class="form-input" id="form-stacked-text" type="text">
                    </div>
                </div>
                <div class="uk-margin">
                    <label class="uk-form-label" for="form-stacked-text">{{ $t('Phone Number') }}</label>
                    <div class="uk-form-controls">
                        <div class="form-input flex">
                            +998
                            <input class="bg-transparent border-none !outline-none p-0" id="form-stacked-text" type="text"
                                v-maska data-maska="## ###-##-##">
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <button @click="$emit('openModal')" class="btn-danger">
                    Отменить
                </button>
                <button type="submit" class="btn-primary" @click="$emit('openModal')">
                    Сохранить
                </button>
            </div>
        </form>
    </div>
    <div :class="openShowModal ? 'black__shadow' : ''" @click="$emit('openModal')" />
</template>

<script setup>
import { ref, watch } from "vue";
import '@/assets/modal.css'

const props = defineProps({
    openShowModal: {
        type: Boolean,
        default: () => false
    },
})
const emit = defineEmits(['refresh', 'openModal'])

const product = ref('')

const onSubmit = async () => {

}

watch(() => props.openShowModal, function () {
    if (props.openShowModal || props.modalValue?.id) {

        // product.value = JSON.parse(JSON.stringify(props.modalValue))
    } else {
        product.value = ''
    }
},
    { deep: true }
);
</script>
<style>
.modal-body input:focus {
    box-shadow: none;
}
</style>